# Uses of Interface
org.gitana.platform.client.node.type.Form

Packages that use Form
Package
Description
org.gitana.platform.client.node.type

## Uses of Form in org.gitana.platform.client.node.type

Classes in org.gitana.platform.client.node.type that implement Form
Modifier and Type
Class
Description
`class`
`FormImpl`
Methods in org.gitana.platform.client.node.type that return Form
Modifier and Type
Method
Description
`Form`
TypeDefinition.`createForm(String formKey)`
Creates a form.
`Form`
TypeDefinition.`createForm(String formKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
Creates a form.
`Form`
TypeDefinitionImpl.`createForm(String formKey)`
`Form`
TypeDefinitionImpl.`createForm(String formKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Form`
TypeDefinition.`readForm(String formKey)`
Retrieves a specific form for this type definition.
`Form`
TypeDefinitionImpl.`readForm(String formKey)`